;
; Example program for Menu Subroutine v1.1 by Wouter Demuynck 
: E-mail : kadem@unicall.be
; TI-82 ASM Corner : http://uc2.unicall.be/kadem/ti82
;
; See MENUROUT.ASM or MENUROUT.TXT for more info
;
; Started : 23/05/98
; Last update : 30/05/98 (Partly Optimized)

#include "crash82.inc"
 .db "Menuroutine test by WD",0

MainMenu:
 ld hl,MenuData_Main
 call Menu
 cp 3
 jr z,LevelMenu
 cp 5
 ret z
 cp $FF ;clear
 ret z
 cp $FE ;mode
 ret z
 cp 2
 jr z,SpeedMenu
 dec a
 jr nz,MainMenu
Start:
 ret
SpeedMenu:
 ld hl,MenuData_Speed
 call Menu
 jr MainMenu
LevelMenu:
 ld hl,MenuData_Levels
 call Menu
 jr MainMenu

.include "MENUROUT.ASM"

MenuData_Main:
.db 9                          ;NUMBER OF ENTRIES
;    1   23456789012345  6
.db $E1,"   Menu Test  ",$E1,0       ;TITLE
.db "Start the game",0         ;ENTRIES
.db "Choose Speed",0    
.db "Choose Level",0       
.db 0
.db "Quit",0
.db 0
.db "Wouter Demuynck !",0
.db "kadem@unicall.be",0
.db "ti82corner.home.ml.org",0

MenuData_Levels:
.db 12                         ;NUMBER OF ENTRIES
;    1   23456789012345  6
.db $D9,"Choose a level",$D9,0       ;TITLE
.db "Beginners Briefing",0            ;ENTRIES
.db "Aqua Land",0
.db "Finders Keepers",0
.db "Bathing Season",0
.db "Hedgehog Country",0
.db "tHof van Commerce!",0
.db "Domestik en Levrancier",0
.db "En in Izzegem",0
.db "Ze zullen hem niet temmen",0
.db "De fiere vlaamse leeuw",0
.db "Bier her! Bier her!",0
.db "Oder ich fall um, juchhe!",0


MenuData_Speed
.db 5                         ;NUMBER OF ENTRIES
;    1   23456789012345  6
.db $05,"Choose a speed",$CF,0       ;TITLE
.db "Very s-l-o-w...",0            ;ENTRIES
.db "Just slow",0
.db "Normal",0
.db "Fast",0
.db "Lightning Fast",0
